<%
/********************************************************************************/
/* Name			: domainsettings.jsp											*/
/* Copyright	: 2005 Data InfoCom LTD.				     					*/
/* Team			: Spam Control Team												*/
/* Developer	: Kishan Kumar Meena											*/
/* Last Updated	: 30/12/2003													*/	
/* Abstract		: Update domain settings 										*/
/* Called from	: dashboard														*/
/* Calls		: interdomainsettings.jsp,DomainSettings.java					*/
/********************************************************************************/
%>
<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication"/>

<%
String columnnamedalias = "domainalias";
String orderdalias = "desc";
int userid = validate.getUserid();
int adminid = validate.getAdminid();
if (userid==0 || adminid > 2)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int logindomainid = validate.getDomainid();
	int domainid = 0;
	int tempdomainid = validate.getTempdomainid();
	if(tempdomainid == 0)
		domainid = logindomainid;
	else
		domainid = tempdomainid;

	if(request.getParameter("hidorderdalias") != null)
		orderdalias = request.getParameter("hidorderdalias");

	if(request.getParameter("hidcolumnnamedalias") != null)
		columnnamedalias = request.getParameter("hidcolumnnamedalias");
try
	{
%>
<jsp:useBean id = "domainmainid" scope = "session" class = "com.antispam.DomainSettings" />

<%

	domainmainid.setHiddomainid( domainid );
	domainmainid.registered();

	//Get IP and Port Detail From Domain Table
	String user_reg = domainmainid.getRadRegistration();
	String dbSMTP = domainmainid.getTxtsmtp();
	String dbPOP = domainmainid.getTxtpop();
	String dbAuthIP = domainmainid.getTxtAnitvirus();
    String comment =  domainmainid.getTxtcomments();
	String SMTPPORT = "25";
	String POPPORT = "25";
	String AUTHPORT = "25";
	String outssl =  domainmainid.getTxtsmtp();
	String inssl =  domainmainid.getTxtpop();
	String authssl =  domainmainid.getTxtAnitvirus();
	String serverType = domainmainid.getServerType();
	
	if(serverType==null || serverType.equals(""))
		serverType="NORMAL";


	if( comment == null || comment.equals(""))
		comment = "";
	
	if(dbSMTP.indexOf(":") !=-1)
	{
		if(dbSMTP.indexOf(":",dbSMTP.indexOf(":")+1) != -1)
			dbSMTP = dbSMTP.substring(0,dbSMTP.lastIndexOf(":"));
		SMTPPORT = dbSMTP.substring(dbSMTP.indexOf(":")+1);
		dbSMTP = dbSMTP.substring(0,dbSMTP.indexOf(":"));
		if(SMTPPORT.trim()=="")
			SMTPPORT = "25";
	}
	if(dbPOP.indexOf(":") !=-1)
	{
		if(dbPOP.indexOf(":",dbPOP.indexOf(":")+1) != -1)
			dbPOP = dbPOP.substring(0,dbPOP.lastIndexOf(":"));
		POPPORT = dbPOP.substring(dbPOP.indexOf(":")+1);
		dbPOP = dbPOP.substring(0,dbPOP.indexOf(":"));
		if(POPPORT.trim().equals(""))
			POPPORT = "25";
	}
	if(dbAuthIP.indexOf(":") !=-1)
	{
		if(dbAuthIP.indexOf(":",dbAuthIP.indexOf(":")+1) != -1)
			dbAuthIP = dbAuthIP.substring(0,dbAuthIP.lastIndexOf(":"));
		AUTHPORT = dbAuthIP.substring(dbAuthIP.indexOf(":")+1);
		dbAuthIP = dbAuthIP.substring(0,dbAuthIP.indexOf(":"));
		if(AUTHPORT.trim().equals(""))
			AUTHPORT = "25";
	}

	outssl = outssl.substring(outssl.indexOf(":")+1,outssl.length());
	if(outssl.indexOf(":") != -1)
	{
		outssl = outssl.substring(outssl.indexOf(":")+1).trim();
	}
	else
	{
		outssl = "N";
	}

	inssl = inssl.substring(inssl.indexOf(":")+1,inssl.length());
	if(inssl.indexOf(":") != -1)
	{
		inssl = inssl.substring(inssl.indexOf(":")+1).trim();
	}
	else
	{
		inssl = "N";
	}

	authssl = authssl.substring(authssl.indexOf(":")+1,authssl.length());
	if(authssl.indexOf(":") != -1)
	{
		authssl = authssl.substring(authssl.indexOf(":")+1).trim();
	}
	else
	{
		authssl = "N";
	}

	if(user_reg == null)
		user_reg = "";
	String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");
	

%>

<HTML>
	<HEAD>
		<TITLE>Domain Settings</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT id=valIp language=javascript src="scripts/IPVal.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/WebUIValidation.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>

	<script>
		//FUNCTION  FOR  VALIDATION TYPE RADIO BUTTON
		function validation_type()
		{
			var valid_type='<%=domainmainid.getRadValidation()%>';
				
			if (document.frmsettings.radValidation[0].value == valid_type)	
			{
				document.frmsettings.radValidation[0].checked=true;
			}
			else if(document.frmsettings.radValidation[1].value == valid_type)
			{
				document.frmsettings.radValidation[1].checked=true;
			}
			else
				document.frmsettings.radValidation[2].checked=true;
		}


              
				
		//FUNCTION  FOR  FIELD VALIDATION
		function chksettings()
		{			
			
			smtpIP = document.frmsettings.txtsmtp.value;
			popIP = document.frmsettings.txtpop.value;
			antivirusIP = document.frmsettings.txtAnitvirus.value;
			if(smtpIP.indexOf(":") !=-1)
				smtpIP = smtpIP.substring(0,smtpIP.indexOf(":"));
			if(popIP.indexOf(":") !=-1)
				popIP = popIP.substring(0,popIP.indexOf(":"));
			if(antivirusIP.indexOf(":") !=-1)
				antivirusIP = antivirusIP.substring(0,antivirusIP.indexOf(":"));

			smtpIP=trim(smtpIP);
			popIP=trim(popIP);
			antivirusIP=trim(antivirusIP);
			
			//document.frmsettings.txtTransDomain.value=trim(document.frmsettings.txtTransDomain.value);
			document.frmsettings.txtvalidationlink.value=trim(document.frmsettings.txtvalidationlink.value);
			document.frmsettings.txtsubject.value=trim(document.frmsettings.txtsubject.value);
			
			if(smtpIP=="")
			{
				alert("Enter SMTP IP");
				document.frmsettings.txtsmtp.focus();
				
			}
			else if(document.frmsettings.txtsmtpport.value=="")
			{
				alert("Enter SMTP port");
				document.frmsettings.txtsmtpport.focus();
			}
			else if(isNaN(document.frmsettings.txtsmtpport.value))
			{
				alert("Enter valid SMTP port");
				document.frmsettings.txtsmtpport.focus();
			}
			else if(chksmtpIP())
			{
				document.frmsettings.txtsmtp.focus();		
			}	
			else if(popIP=="")
			{
				alert("Enter POP3 IP");
				document.frmsettings.txtpop.focus();
				
			}
			else if(document.frmsettings.txtpopport.value=="")
			{
				alert("Enter POP port");
				document.frmsettings.txtpopport.focus();
			}
			else if(isNaN(document.frmsettings.txtpopport.value))
			{
				alert("Enter valid POP port");
				document.frmsettings.txtpopport.focus();
			}
			else if(chkverifyIP())
			{
				document.frmsettings.txtpop.focus();
				
			}
			else if(antivirusIP=="")
			{
				alert("Enter Antivirus IP");
				document.frmsettings.txtAnitvirus.focus();
				
			}
			else if(document.frmsettings.txtAnitvirusport.value=="" )
			{
				alert("Enter Authentication port");
				document.frmsettings.txtAnitvirusport.focus();
			}
			else if(isNaN(document.frmsettings.txtAnitvirusport.value))
			{
				alert("Enter valid Authentication port");
				document.frmsettings.txtAnitvirusport.focus();
			}
			else if(document.frmsettings.txtuserallowed.value=="")
			{
				alert("Enter Number of Users Allowed");
				document.frmsettings.txtuserallowed.focus();
				
			}
			else if(isNaN(document.frmsettings.txtuserallowed.value))
			{
				alert("Invalid value ! must be a number");
				document.frmsettings.txtuserallowed.focus();
				return false;
			}
			else if(document.frmsettings.txtuserallowed.value < 0)
			{
				alert("Invalid value ! must be a positive number");
				document.frmsettings.txtuserallowed.focus();
				return false;
			}

			else if(verifyantiIP())
			{
				document.frmsettings.txtAnitvirus.focus();
				
			}
			else if(document.frmsettings.txtvalidationlink.value=="")
			{
				alert("Enter Validation Link");
				document.frmsettings.txtvalidationlink.focus();
				
			}
			else if(spcharvalidate(document.frmsettings.txtvalidationlink.value,":._-//")==true)
			{
				alert("Speacial character found");
				document.frmsettings.txtvalidationlink.focus();
				
			}	
			else if(document.frmsettings.txtsubject.value=="")
			{
				alert("Enter Email Subject");
				document.frmsettings.txtsubject.focus();
				
			}
			else if(document.frmsettings.txtbody.value=="")
			{
				alert("Enter Email Body");
				document.frmsettings.txtbody.focus();
				
			}	
			else if(document.frmsettings.txtchallenge.value=="")
			{
				alert("Enter Challenge WebPage Content");
				document.frmsettings.txtchallenge.focus();
				
			}	
			else if(document.frmsettings.txtapproval.value=="")
			{
				alert("Enter Approval WebPage Content");
				document.frmsettings.txtapproval.focus();
				
			}	
			else if(document.frmsettings.txtalready.value=="")
			{
				alert("Enter Already WebPage Content");
				document.frmsettings.txtalready.focus();
				
			}	
			else if(document.frmsettings.txtfailed.value=="")
			{
				alert("Enter Failed WebPage Content");
				document.frmsettings.txtfailed.focus();
				
			}
			else if(document.frmsettings.txtPassiveTxt.value=="")
			{
				alert("Enter Passive Mode Subject Header");
				document.frmsettings.txtPassiveTxt.focus();
				
			}
			else
			{
				document.frmsettings.action="interdomainsettings.jsp"
				document.frmsettings.submit(); 
			}	

		}

		function chksmtpIP()
		{
				var arr = smtpIP.split(",");
				var i = 0;
				if(arr.length > 7)
				{
					alert("More Then seven IP addresses Are Not Allowed.");
					return true;
				}

				while(i < arr.length)
				{
					if(verifyIP(arr[i])==true)
					{
						return true;
					}
					i++;
				}
		}

		function chkverifyIP()
		{
				var arr = popIP.split(",");
				var i = 0;
				if(arr.length > 7)
				{
					alert("More Then seven IP addresses Are Not Allowed.");
					return true;
				}

				while(i < arr.length)
				{
					if(verifyIP(arr[i])==true)
					{
						return true;
					}
					i++;
				}
		}

		function verifyantiIP()
		{
				var arr = antivirusIP.split(",");
				var i = 0;

				if(arr.length > 7)
				{
					alert("More Then seven IP addresses Are Not Allowed.");
					return true;
				}

				while(i < arr.length)
				{
					if(verifyIP(arr[i])==true)
					{
						return true;
					}
					i++;
				}
		}

		function funload()
		{
			document.frmsettings.txtsmtp.focus();
            document.frmsettings.cmbb.value='<%=domainmainid.getCmbb()%>';
			document.frmsettings.cmbageing.value='<%=domainmainid.getCmbageing()%>';
					
		}

		function adddomainalias()
		{
			if(document.frmsettings.txtdomainalias.value=="")
			{
				alert("Domain Alias Can't Be Blank");
				document.frmsettings.txtdomainalias.focus();
			}
			else if(checkDomainName(document.frmsettings.txtdomainalias.value))
			{
				document.frmsettings.action="interAddDomainAlias.jsp?flag=ADDDALIAS"
				document.frmsettings.submit(); 
			}
		}

		//FUNCTION TO SORT DOMAIN ALIAS
		function sortDomainAlias(order,column)
		{
			document.frmsettings.hidcolumnnamedalias.value=column;
			document.frmsettings.hidorderdalias.value=order;
			document.frmsettings.action="domainsettings.jsp";
			document.frmsettings.submit();
		}

		function checkSPF()
		{
			var tbl = document.getElementById("tblspf");
			var tdofspf = document.getElementById("tdspf");
			if(document.frmsettings.cmbspf.value=='y')
			{
				
				tbl.style.display = "";
				tdofspf.style.display = "";
			}
			else
			{
				tbl.style.display = "none";
				tdofspf.style.display = "none";
			}
		}

	function chngSMTPPORT()
	{
		if(document.frmsettings.outssl.value == 'N')
			document.frmsettings.txtSMTPPORT.value = 25;
		else
			document.frmsettings.txtSMTPPORT.value = 465;
	}

	function chngPOPPORT()
	{
		if(document.frmsettings.inssl.value == 'N')
			document.frmsettings.txtPOPPORT.value = 25;
		else
			document.frmsettings.txtPOPPORT.value = 465;
	}
		function chngPOPPORT1()
	{
		if(document.frmsettings.authssl.value == 'N')
			document.frmsettings.txtAnitvirusport.value = 25;
		else
			document.frmsettings.txtAnitvirusport.value = 465;
	}

	function chngAntiPORT()
	{
		if(document.frmsettings.authssl.value == 'N')
			document.frmsettings.txtAnitvirusport.value = 25;
		else
			document.frmsettings.txtAnitvirusport.value = 465;
	}
	</script>

	<BODY onload="funload()">
		<FORM language=javascript method=post name=frmsettings onsubmit="chksettings();return false">
			<INPUT type=hidden name=hidcolumnnamedalias value="<%=columnnamedalias%>">
			<INPUT type=hidden name=hidorderdalias value="<%=orderdalias%>">
			<INPUT type=hidden name=hiddomainid value='<%=domainid%>'>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><IMG src="images/img.gif" vspace=5 width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Domain Settings_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
<!-- FOR SERVER ADMINISTRATOR ADMINID = 1 -->
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="servermain.jsp">Server</TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
		
<!-- FOR DOMAIN ADMINISTRATOR ADMINID = 2 -->
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</A></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% }  %>
													</TR>    
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">Working in Domain: <domain:domaininfo domain_id="<%= domainid %>" /></TD>
																		<TD align=right width="10%"><font color="navy" class=gridrowlink onmouseover = "javascript:style.cursor='hand'" onclick="openHelp('help/DomainSettingsHelp.htm')" style="FONT-WEIGHT:bold"><u>Help</u></font>&nbsp;</TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Domain Admin-->
							<% if (user_reg.equals("tempid")) { %>
								<domain:domainmenutemp showCurrPage="10"></domain:domainmenutemp>
							<% } else { %>
								<domain:domainmenu showCurrPage="10"></domain:domainmenu>
							<% } %>
						</TD>
						<TD vAlign=top><!--Main Section(Add to Whitelist)-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR class=2nd_grid_head>
										<TD width="100%">Edit Domain Settings</TD>
									</TR>
									<TR>
										<TD width="100%">
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR class=generalbody-gray>
														<TD vAlign=top width="20%">Domain Name:</TD>
														<TD><b><domain:domaininfo domain_id="<%= domainid %>" /></b></TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>Domain Aliases:</TD>
														<TD><INPUT class=textinpt id=addDomainAlias maxLength=50 name=txtdomainalias size="20" value=""> <INPUT type = "button" class=btn id=btnDAliasSave language=javascript name=btnadddomainalias onclick="adddomainalias()" style="WIDTH: 55px" value="Add Alias"><BR>
															<table border="1" cellpadding="0" cellspacing="0" style="BORDER-COLLAPSE: collapse; WIDTH: 250" id="AutoNumber1">
																<tr class=generalbody-gray>
																	<td width="200"><%if ((columnnamedalias.equals("domainalias")) && (orderdalias.equals("desc"))) { %>
																			<a href="javascript:onclick=sortDomainAlias('asc','domainalias')">Domain Alias<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																		<% } else if ((columnnamedalias.equals("domainalias")) && (orderdalias.equals("asc"))) { %>
																			<a href="javascript:onclick=sortDomainAlias('desc','domainalias')">Domain Alias<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																		<% } else { %>
																			<a href="javascript:onclick=sortDomainAlias('desc','domainalias')">Domain Alias</a>
																		<% } %></td>
																	<td width="50"><Strong>Delete</Strong></td>
																</tr>
																
																<domain:domainalias domainid="<%= domainid %>" column="<%=columnnamedalias%>" order="<%=orderdalias%>">


																<% if(DomainAliasName.equals("0")) {} else { %>
																<tr class=generalbody>
																	<td width="200"><%=DomainAliasName%>&nbsp;</td>
																	<td width="50"><p align="center"><a href="interAddDomainAlias.jsp?flag=DELETEDALIAS&DAI=<%= DomainAliasId %>&hiddomainid=<%= domainid%>"><IMG alt=Delete border=0 src="images/delete.gif" width="12" height="12"></a></td>
																</tr>
																<% } %>

																</domain:domainalias>



																<tr class=generalbody-gray>
																	<td width="248" colspan="2"><span></span></td>
																</tr>
															</table>
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top width="20%">Outbound Hop:</TD>
														<TD><INPUT class=textinpt id=txtSMTP maxLength=120 name=txtsmtp size="15" value="<%=dbSMTP%>"> : <INPUT class=textinpt id=txtSMTPPORT maxLength=30 name=txtsmtpport size="5" value="<%=SMTPPORT%>"> 
														<SELECT class=Combox name=outssl onchange="chngSMTPPORT()">
														<option value= "N">Normal </option>           
														<option value= "S">SSL </option>
														</select>&nbsp;
														Server that accepts and relays outbound email.
														</TD>
													</TR>
													<script>
														document.frmsettings.outssl.value = '<%=outssl%>';
														</script>
													<TR class=generalbody>
														<TD vAlign=top>Inbound Hop:</TD>
														<TD>
														<% if(serverType.equals("LDAP")) { %>
														<INPUT class=textinpt readonly id=txtPOP maxLength=120 name=txtpop size="15" value="<%=dbPOP %>" > : <INPUT class=textinpt readonly id=txtPOPPORT maxLength=30 name=txtpopport size="5" value="<%=POPPORT%>">
														<SELECT class=Combox  name=inssl readonly onchange="chngPOPPORT()">
														<option value= "N">Normal </option>           
														<option value= "S">SSL </option>
														</select> <font size="1">
														 </font>Alter LDAP Settings

														<% } 
														else 
														{ %>
														<INPUT class=textinpt id=txtPOP maxLength=120 name=txtpop size="15" value="<%=dbPOP %>" > : <INPUT class=textinpt id=txtPOPPORT maxLength=30 name=txtpopport size="5" value="<%=POPPORT%>">
														<SELECT class=Combox  name=inssl onchange="chngPOPPORT()">
														<option value= "N">Normal </option>           
														<option value= "S">SSL </option>
														</select> <font size="1">
														 </font>Server that accepts inbound email

														<% } %>
																												
														</TD>
													</TR>
													<script>
														document.frmsettings.inssl.value = '<%=inssl%>';
														</script>
													<TR class=generalbody-gray>
														<TD vAlign=top>
															Authentication:
														</TD>
														<TD><INPUT class=textinpt <% if(serverType.equals("LDAP")) { %> readonly <% } %> id=addDom_txtAntivirus maxLength=120 name=txtAnitvirus size="15" value="<%=dbAuthIP%>"> : <INPUT <% if(serverType.equals("LDAP")) { %> readonly <% } %>  class=textinpt id=addDom_txtAntivirusPORT maxLength=30 name=txtAnitvirusport size="5" value="<%=AUTHPORT%>"> 
														<SELECT <% if(serverType.equals("LDAP")) { %> readonly <% } %>  class=Combox name=authssl onchange="chngPOPPORT1()" >
														<option value= "N">Normal </option>           
														<option value= "S">SSL </option>
														</select>  <% if(serverType.equals("LDAP")) { %> Alter LDap settings <%}else{%> Server that has verifiable email addresses. <%}%>
														</TD>
													</TR>	
													<script>
														document.frmsettings.authssl.value = '<%=authssl%>';
														</script>
													<!--
													<TR class=generalbody-gray>
														<TD vAlign=top>
															New User Registration:
														</TD>
														<TD>
															New User should Register by using the following Method:
														</TD>
													</TR>
													<TR class=generalbody>
														<TD>&nbsp;</TD>
														<TD>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" align=center border=0>
																<TBODY>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_radtemp type=radio value=tempid name=radRegistration>
																			<LABEL for=addDom_radtemp>Temp Id.</LABEL>
																		</TD>
																		<TD>
																			Registration with Temp Id and Email Address(POP authentication). 
																		</TD>
																	</TR>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_raduser type=radio CHECKED value=emailid name=radRegistration>
																			<LABEL for=addDom_raduser>Email Id.</LABEL>
																		</TD>
																		<TD>
																			Registration with only Email Address(POP authentication).
																		</TD>
																	</TR>
																	<script>
																		var user_reg = '<%=domainmainid.getRadRegistration()%>';
																		if(user_reg == "tempid")
																			document.frmsettings.radRegistration[0].checked = true;
																		else
																			document.frmsettings.radRegistration[1].checked = true;
																	</script>
																</TBODY>
															</TABLE>
														</TD>
													</TR> -->
													<TR class=generalbody-gray>
														<TD vAlign=top>Validation:</TD>
														<TD>How do you want to handle email that is sent to an address that is not present on Spamjadoo Mail Server?</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD>&nbsp;</TD>
														<TD>
															<TABLE align=center border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
<%
																String validation = domainmainid.getRadValidation();
																
																if(validation.equals("SMTP"))
																{
																	out.println(domainmainid.getRadValidation());	
%>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT checked id=radSMTP name=radValidation type=radio value="SMTP">
																			<LABEL for=radSMTP><Strong>SMTP.</Strong> Attempt to validate the destination email address against the incoming POP3 server specified above. If the POP3 server will accept the address, then accept the incoming email, otherwise reject the incoming email with a "no such user" error message. </LABEL>
																		</TD>
																		
																	</TR>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=radBounce name=radValidation type=radio value="Bounce">
																			<LABEL for=radBounce><Strong>Bounce.</Strong> Reject the incoming email with a "no such user" error message.</LABEL>
																		</TD>
																		
																	</TR>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=radForward name=radValidation type=radio value="Forward">
																			<LABEL for=radForward><Strong>Forward.</Strong> Perform no further checks and unconditionally forward the email to the POP3 server.</LABEL>
																		</TD>
																		
																	</TR>

<%
																}	  
																if(validation.equals("Bounce"))
																{
																	out.println(domainmainid.getRadValidation());	
%>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=radSMTP name=radValidation type=radio value="SMTP">
																			<LABEL for=radSMTP><Strong>SMTP.</Strong> Attempt to validate the destination email address against the incoming POP3 server specified above. If the POP3 server will accept the address, then accept the incoming email, otherwise reject the incoming email with a "no such user" error message. </LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT checked id=radBounce name=radValidation type=radio value="Bounce">
																			<LABEL for=radBounce><Strong>Bounce.</Strong> Reject the incoming email with a "no such user" error message.</LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=radForward name=radValidation type=radio value="Forward">
																			<LABEL for=radForward><Strong>Forward.</Strong> Perform no further checks and unconditionally forward the email to the POP3 server.</LABEL>
																		</TD>
																	</TR>
<%
																}	  
																if(validation.equals("Forward"))
																{
																	out.println(domainmainid.getRadValidation());	
%>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=radSMTP name=radValidation type=radio value="SMTP">
																			<LABEL for=radSMTP><Strong>SMTP.</Strong> Attempt to validate the destination email address against the incoming POP3 server specified above. If the POP3 server will accept the address, then accept the incoming email, otherwise reject the incoming email with a "no such user" error message. </LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT id=radBounce name=radValidation type=radio value="Bounce">
																			<LABEL for=radBounce><Strong>Bounce.</Strong> Reject the incoming email with a "no such user" error message.</LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody-gray>
																		<TD vAlign=top>
																			<INPUT checked id=radForward name=radValidation type=radio value="Forward">
																			<LABEL for=radForward><Strong>Forward.</Strong> Perform no further checks and unconditionally forward the email to the POP3 server.</LABEL></TD>
																	</TR>
<%
																}
%>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>
															Allow External:
														</TD>
														<TD>
															How would you like to handle inbound email from outside your network that is addressed to be from your domain?
														</TD>
													</TR>
													<TR class=generalbody>
														<TD>&nbsp;</TD>
														<TD>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" align=center border=0>
																<TBODY>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_radtemp type=radio value="T" name=radAllowExternal CHECKED>
																			<LABEL for=addDom_radtemp><Strong>Allow.</Strong> Accept inbound email addressed to be from our domain to come from anywhere and subject them to the same rules as any other external email.</LABEL>
																		</TD>
																	</TR>
																	<TR class=generalbody>
																		<TD vAlign=top>
																			<INPUT id=addDom_raduser type=radio value="F" name=radAllowExternal>
																			<LABEL for=addDom_raduser><Strong>Reject.</Strong> Only accept inbound email addressed to be from our domain to come from our network.</LABEL>
																		</TD>
																	</TR> 
																	<script>
																		var allowext = '<%=domainmainid.getRadAllowExternal()%>';
																		if(allowext == "T")
																			document.frmsettings.radAllowExternal[0].checked = true;
																		else
																			document.frmsettings.radAllowExternal[1].checked = true;
																	</script> 
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top> Set Defualt Domain for<br> Postmaster Literal Mails: </TD>
														<TD valign=top>
															<INPUT type=radio value="T" name=radDefaultDomain1  disabled> YES &nbsp;&nbsp;
															<INPUT checked type=radio value="F" name=radDefaultDomain1 disabled> NO
															<INPUT type=radio value="T" name=radDefaultDomain style="display:none" >  &nbsp;&nbsp;
															<INPUT checked type=radio value="F" name=radDefaultDomain style="display:none"> 
														</TD>
													</TR>
													<script>
														var rDefaultValue = '<%=domainmainid.getRadDefaultDomain()%>';
														
														
														if(rDefaultValue=="F")
														{
															document.frmsettings.radDefaultDomain[1].checked= true;
															document.frmsettings.radDefaultDomain1[1].checked= true;
														}
														else 
														{
															document.frmsettings.radDefaultDomain[0].checked = true ;
															document.frmsettings.radDefaultDomain1[0].checked = true ;
														}
														
													</script>

													<TR class=generalbody>
														<TD vAlign=top>
															Max Users:
														</TD>
															<%
															if(adminid==1)
															{
															%>
														<TD>
														<INPUT class=textinpt id=addDom_txtuserallowed maxLength=50 name=txtuserallowed size="10" value="<%=domainmainid.getTxtuserallowed()%>">&nbsp;What is the maximum number of users allowed to register under this domain?
														</TD>
															<%
															}
															else
															{
															%>
														<TD>
														<INPUT class=textinpt id=addDom_txtuserallowed maxLength=50 name=txtuserallowed size="10" value="<%=domainmainid.getTxtuserallowed()%>" readonly >&nbsp;What is the maximum number of users allowed to register under this domain?
														</TD>
															<%
															}
															%>
													</TR>

													<TR class=generalbody-gray>
														<TD vAlign=top> Override user challenge/response
														<TD valign=top>
															<INPUT type=radio value="yes" name=radOverridechallenge > YES &nbsp;&nbsp;
															<INPUT checked type=radio value="no" name=radOverridechallenge> NO
														</TD>
													</TR>
													<script>
														var radOverridechallenge = '<%=domainmainid.getRadOverridechallenge()%>';
														if(radOverridechallenge=="no")
														{
															document.frmsettings.radOverridechallenge[1].checked= true;
														}
															else
														{
															document.frmsettings.radOverridechallenge[0].checked = true ;
														}
													</script>
													<TR class=generalbody>
														<TD vAlign=top> Authentication Scheme: </TD>
														<TD valign=top>
															<INPUT checked type=radio value=0 name=radAuthscheme>UserName@DomainName &nbsp;&nbsp;
															<INPUT type=radio value=1 name=radAuthscheme>UserName Only
														</TD>
													</TR>
													<script>
														var authscheme = '<%=domainmainid.getRadAuthscheme()%>';
														document.frmsettings.radAuthscheme[authscheme].checked= true ;
													</script>
													<TR class=generalbody-gray>
														<TD vAlign=top> Block Incoming Mails</TD>
														<TD valign=top>
															<input type="radio" name="radBlockincoming" value="YES">Yes&nbsp;&nbsp;&nbsp;
                                                            <input type="radio" name="radBlockincoming" value="NO">No</TD>
															<script>
																if('<%=domainmainid.getRadBlockincoming()%>'=="YES")
																	document.frmsettings.radBlockincoming[0].checked="true";
																else
																	document.frmsettings.radBlockincoming[1].checked="true";
															</script>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>Validation Link:</TD>
														<TD><INPUT class=textinpt id=txtValidationLink name=txtvalidationlink value='<%=domainmainid.getTxtvalidationlink()%>' style="WIDTH: 221px" size="20">&nbsp; </TD>
													</TR>
                                                                          
													<TR class=generalbody-gray>
														<TD vAlign=top>Auto Deletion of unvalidated senders:</td>                                                                                  <td>                                                                                          <SELECT class=Combox name=cmbb>                             <option value= 15>15 days</option>                                                                                                             <option value=30>30 days</option>                                                                                                              <option value= 60>60 days</option>                                                                                                              <option value= auto>auto</option>                                                                   </select>
														</td>
														</TR>

														<TR class=generalbody-gray>
														<TD vAlign=top>Passive mode:</td>
														<TD>Insert text <INPUT class=textinpt id=txtPassiveTxt name=txtPassiveTxt style="WIDTH: 150px" size="20"> to Beginning or End of subject line.
														</TD> 
														</TR>

														<script>
														document.frmsettings.txtPassiveTxt.value = '<%=domainmainid.getTxtPassiveTxt()%>'
														</script>
														
														<TR class=generalbody>
														<TD vAlign=top>Quarantine Time:</TD>
														<TD> Delete mail after
														<SELECT class=Combox name=cmbageing>                       <option value=1>1 Day</option>                         <option value=2>2 Days</option>                          <option value=3>3 Days</option>                         
														<option value=4>4 Days</option>
														<option value=5>5 Days</option>
														<option value=6>6 Days</option>
														<option value=7>7 Days</option>
														<option value=8>8 Days</option>
														<option value=9>9 Days</option>
														<option value=10>10 Days</option>
														</select> from quarantine folder.   
														</TD>
													</TR>

														<TR class=generalbody>
														<TD vAlign=top>Dashboard login using:</TD>
														<TD>
														<SELECT class=Combox name=cmbAuthScheme>
														<option value= "n">Normal (110)</option>           
														<option value= "s">SSL (995)</option>
														</select>
														Authentication
														</TD>
														</TR>
														<script>
														document.frmsettings.cmbAuthScheme.value = '<%=domainmainid.getCmbAuthScheme()%>'
														</script>

														

														<TR class=generalbody-gray>
														<TD vAlign=top>SPF Enabled:</TD>
														<TD>
														<SELECT class=Combox name=cmbspf onclick="checkSPF()">       <option value= "y">Yes</option>           
														<option value= "n">No</option>
														</select>
														</TD>
														</TR>
														<script>
														document.frmsettings.cmbspf.value = '<%=domainmainid.getCmbspf()%>'
														</script>


														<TR class=generalbody-gray>
														<TD vAlign=top id=tdspf>If SPF Returns:</TD>
														<TD>
														<TABLE id=tblspf>
														<TR class=generalbody-gray>
														<TD>PASS:</TD>
														<TD>
														<input type="radio" name="radSPFPass" value="+">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFPass" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 FAIL:</TD>
														 <TD>
														 <input type="radio" name="radSPFFail" value="-">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFFail" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 NEUTRAL:</TD>
														 <TD><input type="radio" name="radSPFNeutral" value="?">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFNeutral" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 SOFTFAIL:</TD>
														 <TD><input type="radio" name="radSPFSoftfail" value="~">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFSoftfail" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 ERROR:</TD>
														 <TD><input type="radio" name="radSPFError" value="error">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFError" value=" ">Reject
														</TD></TR>
														<TR class=generalbody-gray><TD>
														 NONE:</TD>
														 <TD><input type="radio" name="radSPFNone" value="none">Accept&nbsp;&nbsp;&nbsp;
                                                        <input type="radio" name="radSPFNone" value=" ">Reject
														</TD></TR></TABLE>
														</TD>
														</TR>
														<script>
															var SPF = '<%=domainmainid.getRadSPFPass()%>';
														if(SPF.indexOf('+')!= -1)
															document.frmsettings.radSPFPass[0].checked="true";
														else
															document.frmsettings.radSPFPass[1].checked="true";

														if(SPF.indexOf('-')!= -1)
															document.frmsettings.radSPFFail[0].checked="true";
														else
															document.frmsettings.radSPFFail[1].checked="true";

														if(SPF.indexOf('?')!= -1)
															document.frmsettings.radSPFNeutral[0].checked="true";
														else
															document.frmsettings.radSPFNeutral[1].checked="true";

														if(SPF.indexOf('~')!= -1)
															document.frmsettings.radSPFSoftfail[0].checked="true";
														else
															document.frmsettings.radSPFSoftfail[1].checked="true";

														if(SPF.indexOf('error')!= -1)
															document.frmsettings.radSPFError[0].checked="true";
														else
															document.frmsettings.radSPFError[1].checked="true";

														if(SPF.indexOf('none')!= -1)
															document.frmsettings.radSPFNone[0].checked="true";
														else
															document.frmsettings.radSPFNone[1].checked="true";

														</script>
														<script>
															checkSPF();
														</script>
														<TR class=generalbody>
														<TD vAlign=top>Greylist:</td>                              <td>After the first 450 (mailbox temporarily unavailable) response to the senders server, if sender server retries     <SELECT class=Combox name=gstart>                           <option value= "5">5</option>           
														<option value= "10">10</option>
														<option value= "15">15</option>
														<option value= "20">20</option>
														<option value= "25">25</option>
														<option value= "30">30</option>
														<option value= "35">35</option>
														<option value= "40">40</option>
														<option value= "45">45</option>
														<option value= "50">50</option>
														<option value= "55">55</option>
														<option value= "60">60</option>
														</select>
														minutes and before
														<SELECT class=Combox name=gstop>                           <option value= "60">60</option>           
														<option value= "90">90</option>
														<option value= "120">120</option>
														<option value= "150">150</option>
														<option value= "180">180</option>
														<option value= "210">210</option>
														<option value= "240">240</option>
														</select>
														minutes , the email will be received and delivered to recipient.
														</td>
														<script language=javascript>
														document.frmsettings.gstart.value = '<%=domainmainid.getGstart()%>'
														document.frmsettings.gstop.value = '<%=domainmainid.getGstop()%>'
														</script>
													</TR>	
														<TR class=generalbody-gray>
														<TD vAlign=top>Subject to include <br>on Challenge emails:</TD>
														<TD><INPUT class=textInpt id=taSubject name=txtsubject value='<%=domainmainid.getTxtsubject()%>'  style="WIDTH:380px" size="20">&nbsp;</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>Body Content to include <br>on Challenge Emails:</TD>
														<TD><TEXTAREA class=txtArea id=taBody name=txtbody rows=5 style="WIDTH: 380px" cols="20"><%=domainmainid.getTxtbody()%></TEXTAREA>&nbsp;</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top>Challenge WebPage Contents:</TD>
														<TD><TEXTAREA class=txtArea id=taChallenge name=txtchallenge  rows=5 style="WIDTH:380px" cols="20"><%=domainmainid.getTxtchallenge()%> </TEXTAREA>&nbsp;</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>Approval WebPage Contents:</TD>
														<TD><TEXTAREA class=txtArea id=taApproval name=txtapproval  rows=5 style="WIDTH:380px" cols="20"><%=domainmainid.getTxtapproval()%></TEXTAREA>&nbsp;</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top>Content to display if <br>user is already in your <br>pre-approved list:</TD>
														<TD><TEXTAREA class=txtArea id=taAlready name=txtalready  rows=5 style="WIDTH: 380px" cols="20"><%=domainmainid.getTxtalready()%></TEXTAREA>&nbsp;</TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top>Failed WebPage Contents:</TD>
														<TD><TEXTAREA class=txtArea id=taFailed name=txtfailed  rows=5 style="WIDTH: 380px" cols="20"><%=domainmainid.getTxtfailed()%></TEXTAREA>&nbsp;
													</TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top>Comments:</TD>
														<TD><TEXTAREA class=txtArea id=taComments name=txtcomments  rows=5 style="WIDTH:380px" cols="20"><%=comment%></TEXTAREA></TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top></TD>
														<TD class="errmsg"><font size=2><%=message%></font></TD>
													</TR>
													<TR>												<TD height=31></TD>
														<TD height=31><BR><SPAN class=errMsg id=LblErr></SPAN></TD>
													</TR>
													<TR class=generalbody>
														<TD></TD>
														<TD><BR>
														<INPUT type = "submit" class=btn id=btnSave language=javascript name=btnsave onclick="chksettings();return false" style="WIDTH: 55px" value=Save>&nbsp; 
														<INPUT class=btn type= "reset" value=Reset name=btnreset> 
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
	}
	catch(Exception ex)
	{
		out.println(ex);
	}
}
%>